%define name synchrorep
%define version 1.4.5
%define release %mkrel 1

Summary:	Synchrorep is a one click folder synchronization
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv3
Group:		File tools
Source0:	http://www.iceberg.0rg.fr/synchrorep/sources.php/%{name}-%{version}-sources.tar.gz
Patch:          synchrorep-test.patch
URL:		http://www.iceberg.0rg.fr/synchrorep/presentation.php
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:   gtk2-devel libnautilus-devel make sqlite3-devel libgdk_pixbuf2.0_0-devel libgvfs-devel



%description
This software is adressed essentialy to nomads persons or these who want to make backup and permit you to synchronize in a single click two directories, this mean copying files that are not in one in the other, modifications are also reported. The files that have been removed or replaced are put to trash after your confirmation. Synchronizable folders can be local, ssh, ftp, and samba shares.

%prep
%setup -q -n %{name}-make
%patch -p1

%build

%make
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 synchrorep $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-2.0/
install -m 644 libnautilus-synchrorep.so $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-2.0/

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/
install -m 644 synchrorep-core/ressources/*.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale-langpack
cp -r locale-langpack/* $RPM_BUILD_ROOT%{_datadir}/locale-langpack

mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -r synchrorep-core/ressources/synchrorep.desktop \
$RPM_BUILD_ROOT%{_datadir}/%{name}
cp -r synchrorep-core/ressources/synchrorep.group.directory \
$RPM_BUILD_ROOT%{_datadir}/%{name}
cp -r synchrorep-core/ressources/synchrorep.group.menu \
$RPM_BUILD_ROOT%{_datadir}/%{name}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Synchrorep
Encoding=UTF-8
Comment[en]=Synchronize two folders
Exec=synchrorep --config
Terminal=false
Type=Application
Icon=synchrorep
Categories=GTK;GNOME;Utility;X-MandrivaLinux-System-FileTools
StartupNotify=true
EOF


%clean
rm -rf $RPM_BUILD_ROOT


%post
%update_menus


%postun
%clean_menus


%files
%defattr(-,root,root,-)
%doc synchrorep-core/ressources/copyright
%doc synchrorep-core/ressources/licence
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/pixmaps/*.png
%{_datadir}/locale-langpack/*/LC_MESSAGES/*.mo
%{_libdir}/nautilus/extensions-2.0/*


%changelog
* Tue Mar 23 2010 slick50 <lxgator@gmail.com> 1.4.5-1pclos2010
- 1.4.5

* Wed Mar 17 2010 slick50 <lxgator@gmail.com> 1.4.4-1pclos2010
- 1.4.4

* Sat  Mar 06 2010 slick50 <lxgator@gmail.com> 1.4.3-1pclos2010
- 1.4.3

* Thu  Mar 04 2010 slick50 <lxgator@gmail.com> 1.4.2-1pclos2010
- 1.4.2

* Tue Jun 30 2009 slick50 <lxgator@gmail.com> 1.3.6-1pclos2009
- new version 1.3.6

* Sun Jun 28 2009 slick50 <lxgator@gmail.com> 1.3.5-1pclos2009
- new version 1.3.5

* Sat Jun 16 2009 slick50 <lxgator@gmail.com> 1.3.4-1pclos2009
- new version 1.3.4 

* Sat Jun 06 2009 slick50 <lxgator@gmail.com> 1.3.3-1pclos2009
- initial build
